Subject: [spfbis] reorganization, splitting and a wandering WG

From: Arthur Thisell <[email-masked]>
Date: Sat, 15 Sep 2012 14:00:26 -0700 (PDT)

OK, I've ponder this more, and to sum it up:

* I do not think that we should reorganize the text.

* I do not think that we should split the text.

* I think the WG is wandering, addressing superficial items while there are technical problems with the draft.

---

OK, as far as reorganization goes, I reviewed the changes between RFC 4408 and 4408bis-06(?) and found that it was already very hard to make sure that "simple changes" didn't actually change the semantics of RFC 4408.  Sadly, I found quite a few things that did change RFC 4408.   A wholesale reorganization of any kind would make impractical.  Our charter says we aren't supposed to change RFC 4408.

The particular proposed reorganization, I do not think it makes things dramatically better.   Mark Lentzcner thought the Meng drafts needed reorganization, and with Mengs approval, did that.   I don't think anyone thought it was perfect, but while developing RFC 4408, no one thought it was worth changing.   Now, we have a new set of people who think that the spec should be reorganized.  I'm sure 5 years down the line, someone else will propose reorganizing the text.

The proposed reorganization also slips in a lot of editorial changes, and a lot of changes that I can't verify that it isn't making technical changes.  It adds another 6 pages to the spec, I don't know why.

---

I do not think we need to split the text.  I would much rather see text eliminated than splitting.  In particular, I think most of the new text (and a lot of the old text) in section 9 makes the spec worse.

---

I think this WG is not making headway.   I think any reorganization will burn a lot of time.

Deciding if invalid domains should cause a permerror or not match is important.  Deciding whether ptr: with too many PTR records causes a permerror or doesn't match is important.   Deciding how too many mechanisms should be checked is important.

Deciding the order of the macro and received-spf headers is not important.